package com.ym.mec.biz.dal.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ym.mec.biz.dal.entity.AppRedemptionCode;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 兑换码分配表(RedemptionCode)表数据库访问层
 *
 * @author makejava
 * @since 2021-12-27 14:27:57
 */
public interface RedemptionCodeDao extends BaseMapper<AppRedemptionCode> {

   int insertBatch(@Param("entities") List<AppRedemptionCode> entities);

    AppRedemptionCode findFirstNull();

    Integer findNull();

    AppRedemptionCode getByUserId(@Param("userId") Integer userId);
}

